%define version 1.3.2
Summary: A GNOME sound displayer.
Name: extace
Version: %{version}
Release: 2
Copyright: GPL
Group: Applications/Multimedia
URL: http://extace.sourceforge.net/
Vendor: Dave J. Andruczyk <dave@techdev.buffalostate.edu>
Prefix: %{_prefix}

Source: http://download.sourceforge.net/eXtace/extace-%{version}.tar.bz2
Patch: extace-1.1.16-uselibs.patch
# We don't use this patch - it's just for reference purposes
# in case we need to regenerate patch 0 for a future version
Patch1: extace-1.1.16-uselibs.in.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: fftw-devel
BuildPrereq: esound-devel >= 0.2.8
BuildPrereq: gtk+-devel >= 1.2.0
BuildPrereq: glib-devel >= 1.2.0

# Someone needs 
%description
eXtace is a audio visualization plugin for the GNOME GUI desktop
environment. It connects to EsounD (the Enlightened Sound Daemon) and
displays the audio data as either a 3D textured landscape, a 3D
pointed landscape, a 16-128 channel graphic EQ, or a colored
Oscilloscope.

%prep
%setup -q
#%patch -p1

%build

# Build Extace itself
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --disable-maintainer-mode
make CFLAGS="$RPM_OPT_FLAGS -I. -I.."

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/gnome/apps/Multimedia/extace.desktop
%{_bindir}/extace

%changelog
* Mon Aug 28 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.3.2
- spec improvements

* Sat Feb 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- moved fftw to separate package

* Tue Dec 14 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.2.15

* Tue Nov 23 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.2.13
- updated fftw to 2.1.3

* Sat Nov 13 1999 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.2.12
- source archives changed to .bz2

* Fri Sep 03 1999 Elliot Lee <sopwith@redhat.com>
- Create extace package
- Include FFTW in here instead of using gsl (FFTW is faster).
